Bug 1469251 - [DOCS] document cockpit installation [NEEDINFO]
[DOCS] document cockpit installation
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.5.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Vikram Goyal
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 13:56 EDT by Steven Walter
Modified: 2018-07-19 03:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-07-19 03:04:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vigoyal: needinfo? (msvistun)


Attachments (Terms of Use)

  None (edit)
Description Steven Walter 2017-07-10 13:56:09 EDT
Document URL: 
https://docs.openshift.com/container-platform/3.5/install_config/install/advanced_install.html
---
Possibly new document


Describe the issue: 

According to [1] we have the option to install cockpit, although this is not documented in the Advanced Installation guide. Separately, according to [2], you cannot have cockpit running if you want to have the registry-console enabled. It tells you to shut down cockpit but doesnt say how.


[1] https://github.com/openshift/openshift-ansible/blob/master/inventory/byo/hosts.ose.example#L254-L258
[2] https://docs.openshift.com/container-platform/3.5/install_config/registry/deploy_registry_existing_clusters.html#registry-console



Suggestions for improvement: 

We need to provide information on A) what cockpit is/does, and B) installing and removing cockpit; we also need to document how to install cockpit post-install. This is necessary to help customers make decisions on which they want to use and how to use it. Our consulting teams currently show cockpit as a feature, but we do not document it making it difficult for us to support.

Additional information:
Comment 2 Vikram Goyal 2017-07-17 01:22:17 EDT
Steven,

The Atomic Host docs document this currently: 

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux_atomic_host/7/html-single/getting_started_with_cockpit/

(although that guide is now moving to RHEL).

Do we still want to document it in OpenShift docs?
Comment 3 Steven Walter 2017-07-17 15:07:30 EDT
Hi,

I think we need to provide a little guidance; maybe not a full installation instructions, but directions as to where and why to install. Currently we imply "it's not possible to install both", but in reality it just requires a bit of planning (dont put them on the same nodes).
Comment 4 Vikram Goyal 2017-07-17 19:02:23 EDT
Thanks Steven.

@Max - do you think you would be able to provide this for the OpenShift docs?

Note You need to log in before you can comment on or make changes to this bug.